Bug 243896 - [NEW PORT] textproc/p5-Text-sprintfn Drop-in replacement for sprintf(), with named parameter support
Summary: [NEW PORT] textproc/p5-Text-sprintfn Drop-in replacement for sprintf(), wit...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 243897
  Show dependency treegraph
 
Reported: 2020-02-05 06:41 UTC by Zane C. Bowers-Hadley
Modified: 2020-08-16 02:22 UTC (History)
0 users

See Also:


Attachments
svn diff (3.05 KB, patch)
2020-02-05 06:42 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (3.08 KB, patch)
2020-04-08 02:47 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2020-02-05 06:41:51 UTC
Porting this in so I can port Data::Unixish so I can port ncps.
Comment 1 Zane C. Bowers-Hadley 2020-02-05 06:42:12 UTC
Created attachment 211370 [details]
svn diff
Comment 2 Zane C. Bowers-Hadley 2020-04-08 02:47:26 UTC
Created attachment 213174 [details]
svn diff

both BUILD and RUN depends now
Comment 3 commit-hook freebsd_committer 2020-08-15 21:54:28 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 15 21:54:08 UTC 2020
New revision: 545073
URL: https://svnweb.freebsd.org/changeset/ports/545073

Log:
  textproc/p5-Text-sprintfn: create port

  Drop-in replacement for sprintf(), with named parameter support

  WWW: https://metacpan.org/release/Text-sprintfn

  PR:		243896
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
  head/textproc/Makefile
  head/textproc/p5-Text-sprintfn/
  head/textproc/p5-Text-sprintfn/Makefile
  head/textproc/p5-Text-sprintfn/distinfo
  head/textproc/p5-Text-sprintfn/pkg-descr
Comment 4 Steve Wills freebsd_committer 2020-08-15 22:01:18 UTC
Committed, thanks!